Package com.castlabs.android.player

## Enum CatchupConfiguration.Type

- java.lang.Object
- - java.lang.Enum<CatchupConfiguration.Type>
  - - com.castlabs.android.player.CatchupConfiguration.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<CatchupConfiguration.Type>`
  Enclosing class:
    CatchupConfiguration

      public static enum CatchupConfiguration.Type
      extends Enum<CatchupConfiguration.Type>

  Represents the catchup strategy. This is the mechanism the player will use to catch up to the target position.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | Do nothing.
    `SEEK` | Perform a seek operation.
    `SPEED` | Speed up/down.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CatchupConfiguration.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CatchupConfiguration.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CatchupConfiguration.Type NONE

      Do nothing. Disabled.

    - #### SPEED

          public static final CatchupConfiguration.Type SPEED

      Speed up/down. The player will change it's own speed to `CatchupConfiguration.speedCoefficient` whenever the `distance to the media end` or `the buffer size ahead` is greater than `upperTimeThresholdMs`. Speed will return to 1 when `lowerTimeThresholdMs` is reached. Additionally, as a fallback mechanism, the player will automatically snap (continuously seek) if the position falls behind `fallbackTimeThresholdMs`.

    - #### SEEK

          public static final CatchupConfiguration.Type SEEK

      Perform a seek operation. The player will automatically seek to `lowerTimeThresholdMs` whenever the `distance to the media end` or `the buffer size ahead` is greater than `upperTimeThresholdMs`.

  - ### Method Detail

    - #### values

          public static CatchupConfiguration.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CatchupConfiguration.Type c : CatchupConfiguration.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CatchupConfiguration.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null